diff -pruN 10.3-2.1/debian/changelog 10.3-3/debian/changelog
--- 10.3-2.1/debian/changelog	2024-02-28 18:20:36.000000000 +0000
+++ 10.3-3/debian/changelog	2024-03-06 17:30:50.000000000 +0000
@@ -1,3 +1,9 @@
+globus-gass-cache (10.3-3) unstable; urgency=medium
+
+  * Enable bind-now hardening
+
+ -- Mattias Ellert <mattias.ellert@physics.uu.se>  Wed, 06 Mar 2024 18:30:50 +0100
+
 globus-gass-cache (10.3-2.1) unstable; urgency=medium
 
   * Non-maintainer upload.
diff -pruN 10.3-2.1/debian/compat 10.3-3/debian/compat
--- 10.3-2.1/debian/compat	2020-12-12 15:25:06.000000000 +0000
+++ 10.3-3/debian/compat	1970-01-01 00:00:00.000000000 +0000
@@ -1 +0,0 @@
-13
diff -pruN 10.3-2.1/debian/control 10.3-3/debian/control
--- 10.3-2.1/debian/control	2024-02-28 18:20:36.000000000 +0000
+++ 10.3-3/debian/control	2024-03-06 08:23:53.000000000 +0000
@@ -1,14 +1,15 @@
 Source: globus-gass-cache
 Priority: optional
 Maintainer: Mattias Ellert <mattias.ellert@physics.uu.se>
-Build-Depends: dpkg-dev (>= 1.22.5),
- debhelper (>= 13),
- pkg-config,
+Build-Depends:
+ debhelper-compat (= 13),
+ dpkg-dev (>= 1.22.5),
+ pkgconf,
  libglobus-common-dev (>= 15),
  libssl-dev
 Build-Depends-Indep:
  doxygen
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Section: net
 Vcs-Browser: https://salsa.debian.org/ellert/globus-gass-cache
 Vcs-Git: https://salsa.debian.org/ellert/globus-gass-cache.git
diff -pruN 10.3-2.1/debian/copyright 10.3-3/debian/copyright
--- 10.3-2.1/debian/copyright	2022-07-05 18:20:00.000000000 +0000
+++ 10.3-3/debian/copyright	2024-03-06 06:53:10.000000000 +0000
@@ -11,7 +11,7 @@ License: Apache-2.0
 
 Files: debian/*
 Copyright:
- 2008-2022 Mattias Ellert <mattias.ellert@physics.uu.se>
+ 2008-2024 Mattias Ellert <mattias.ellert@physics.uu.se>
  2010-2013 Initiative for Globus in Europe (IGE), http://www.ige-project.eu/
 License: Apache-2.0
 
diff -pruN 10.3-2.1/debian/libglobus-gass-cache5t64.lintian-overrides 10.3-3/debian/libglobus-gass-cache5t64.lintian-overrides
--- 10.3-2.1/debian/libglobus-gass-cache5t64.lintian-overrides	2024-02-28 18:20:28.000000000 +0000
+++ 10.3-3/debian/libglobus-gass-cache5t64.lintian-overrides	2024-03-06 06:46:41.000000000 +0000
@@ -1 +1 @@
-libglobus-gass-cache5t64: package-name-doesnt-match-sonames libglobus-gass-cache5
+package-name-doesnt-match-sonames libglobus-gass-cache5
diff -pruN 10.3-2.1/debian/rules 10.3-3/debian/rules
--- 10.3-2.1/debian/rules	2022-07-05 19:08:33.000000000 +0000
+++ 10.3-3/debian/rules	2023-10-23 05:17:14.000000000 +0000
@@ -3,7 +3,8 @@
 
 name = globus-gass-cache
 
-export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed -Wl,-z,defs
+export DEB_BUILD_MAINT_OPTIONS = hardening=+bindnow
+export DEB_LDFLAGS_MAINT_APPEND = -Wl,-z,defs
 
 INSTALLDIR = debian/tmp
 
@@ -12,9 +13,6 @@ _docdir = /usr/share/doc/lib$(name)-dev
 %:
 	dh $@
 
-override_dh_autoreconf:
-	dh_autoreconf --as-needed
-
 override_dh_auto_configure:
 	dh_auto_configure -- \
 	   --disable-static \
diff -pruN 10.3-2.1/debian/upstream/metadata 10.3-3/debian/upstream/metadata
--- 10.3-2.1/debian/upstream/metadata	1970-01-01 00:00:00.000000000 +0000
+++ 10.3-3/debian/upstream/metadata	2023-08-28 12:01:38.000000000 +0000
@@ -0,0 +1,4 @@
+Bug-Database: https://github.com/gridcf/gct/issues
+Bug-Submit: https://github.com/gridcf/gct/issues/new
+Repository: https://github.com/gridcf/gct.git
+Repository-Browse: https://github.com/gridcf/gct
